---
title: HTMLObjectElement.form
slug: Web/API/HTMLObjectElement/form
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - form
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary">The <strong><code>form</code></strong> read-only property of the {{domxref("HTMLObjectElement")}} interface Retuns a {{domxref("HTMLFormElement")}} representing the object element's form owner, or null if there isn't one.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var HTMLFormElement = HTMLObjectElement.form;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('HTMLFormElement')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-fae-form','form')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.form")}}</p>
